%global debug_package %{nil}

Name:           ocamlify
Version:        0.1.0
Release:        %mkrel 1
Summary:        Include files in OCaml code
License:        LGPL with static compilation exception
Group:          Development/OCaml
URL:            https://github.com/gildor478/ocamlify
VCS:            git:%{url}.git
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  ocaml
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-camlp-streams-devel
BuildRequires:  help2man

%description
OCamlify allows to create OCaml source code by including whole files into
OCaml string or string list. The code generated can be compiled as a standard
OCaml file. It allows embedding external resources as OCaml code.

%prep
%autosetup

%build
%dune_build

%install
%dune_install

# generate manpage
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/
help2man $RPM_BUILD_ROOT%{_bindir}/ocamlify \
    --output $RPM_BUILD_ROOT%{_mandir}/man1/ocamlify.1 \
    --name "Include files in OCaml code" \
    --version-string %{version} \
    --no-info

%check
%dune_check

%files -f .ofiles -f .ofiles-devel
%doc README.md
%license COPYING.txt
%{_mandir}/man1/ocamlify.1*



%changelog
* Sat Apr 26 2025 pterjan <pterjan> 0.1.0-1.mga10
+ Revision: 2179064
- Update to 0.1.0

* Tue Mar 29 2022 umeabot <umeabot> 0.0.2-18.mga9
+ Revision: 1832481
- Mageia 9 Mass Rebuild

* Wed Oct 13 2021 tv <tv> 0.0.2-17.mga9
+ Revision: 1750854
- Rebuild for ocaml 4.13.1

* Wed Mar 03 2021 tv <tv> 0.0.2-16.mga9
+ Revision: 1697279
- rebuild for ocaml-4.2-12

* Sun Mar 01 2020 tv <tv> 0.0.2-15.mga8
+ Revision: 1552607
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 0.0.2-14.mga8
+ Revision: 1543653
- Mageia 8 Mass Rebuild

* Wed Jan 22 2020 tv <tv> 0.0.2-13.mga8
+ Revision: 1482040
- switch to FC patch (fixes byte vs str)
- rebuild for ocaml-4.10
- remove no more supported -unsafe-string

* Fri Oct 26 2018 pterjan <pterjan> 0.0.2-12.mga7
+ Revision: 1325570
- Fix ocamlify to be a native binary instead of bytecode

* Sun Sep 23 2018 umeabot <umeabot> 0.0.2-11.mga7
+ Revision: 1299880
- Mageia 7 Mass Rebuild

* Sat Jan 06 2018 tv <tv> 0.0.2-10.mga7
+ Revision: 1190770
- BR ocaml-ocamlbuild-devel
- BR ocaml-ocamlbuild
- fix build with ocaml-4.06
- update URL

* Fri Jan 29 2016 pterjan <pterjan> 0.0.2-8.mga6
+ Revision: 929026
- Rebuild for new ocaml

* Wed Oct 21 2015 tv <tv> 0.0.2-7.mga6
+ Revision: 893221
- disable debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 0.0.2-6.mga5
+ Revision: 740363
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 0.0.2-5.mga5
+ Revision: 725149
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 0.0.2-4.mga5
+ Revision: 683139
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.0.2-3.mga4
+ Revision: 536095
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 blue_prawn <blue_prawn> 0.0.2-2.mga4
+ Revision: 483318
- rebuild for ocaml-4.01.0

* Mon Aug 12 2013 blue_prawn <blue_prawn> 0.0.2-1.mga4
+ Revision: 465588
- updated to last version 0.0.2

* Sun Jan 13 2013 umeabot <umeabot> 0.0.1-6.mga3
+ Revision: 361742
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.0.1-5.mga3
+ Revision: 301074
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.0.1-4.mga3
+ Revision: 300154
- new rpm group for ocaml

* Sun Aug 05 2012 malo <malo> 0.0.1-3.mga3
+ Revision: 278811
- fix requires to ocaml-compiler

* Fri Mar 23 2012 blue_prawn <blue_prawn> 0.0.1-2.mga2
+ Revision: 225959
+ rebuild (emptylog)

* Fri Mar 23 2012 blue_prawn <blue_prawn> 0.0.1-1.mga2
+ Revision: 225953
- requires findlib
- imported package ocamlify

